import { defineComponent, createElementBlock, openBlock, Fragment, createElementVNode, createVNode, renderList, createBlock, createTextVNode, resolveDynamicComponent, toDisplayString, withCtx } from "vue";
import { ScalarIconLockSimple, ScalarIconGlobeSimple, ScalarIconBookOpen, ScalarIconCloud, ScalarIconGitBranch, ScalarIconFileMd, ScalarIconWarningOctagon, ScalarIconBracketsCurly } from "@scalar/icons";
import ApiReferenceToolbarBlurb from "./ApiReferenceToolbarBlurb.vue.js";
import _sfc_main$1 from "./ApiReferenceToolbarRegisterButton.vue.js";
const _hoisted_1 = { class: "text-c-2 mb-2 grid grid-cols-2 gap-2.5 font-medium" };
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "ApiReferenceToolbarShareRegister",
  props: {
    workspace: {}
  },
  setup(__props) {
    const FEATURES = [
      { icon: ScalarIconLockSimple, label: "Password Protection" },
      { icon: ScalarIconGlobeSimple, label: "Custom Domains" },
      { icon: ScalarIconBookOpen, label: "Free-form content" },
      { icon: ScalarIconCloud, label: "CDN Infrastructure" },
      { icon: ScalarIconGitBranch, label: "Pull from GitHub" },
      { icon: ScalarIconFileMd, label: "Markdown/MDX" },
      { icon: ScalarIconWarningOctagon, label: "Spectral Linting" },
      { icon: ScalarIconBracketsCurly, label: "JSON Schema Hosting" }
    ];
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock(Fragment, null, [
        createElementVNode("ul", _hoisted_1, [
          (openBlock(), createElementBlock(Fragment, null, renderList(FEATURES, (feature) => {
            return createElementVNode("li", {
              key: feature.label,
              class: "flex items-center gap-2"
            }, [
              (openBlock(), createBlock(resolveDynamicComponent(feature.icon), {
                class: "text-c-3 size-3.5",
                weight: "bold"
              })),
              createTextVNode(" " + toDisplayString(feature.label), 1)
            ]);
          }), 64))
        ]),
        createVNode(_sfc_main$1, { workspace: __props.workspace }, {
          default: withCtx(() => [..._cache[0] || (_cache[0] = [
            createTextVNode(" Deploy on Scalar ", -1)
          ])]),
          _: 1
        }, 8, ["workspace"]),
        createVNode(ApiReferenceToolbarBlurb, null, {
          default: withCtx(() => [..._cache[1] || (_cache[1] = [
            createTextVNode(" Deploy your documentation for free. ", -1),
            createElementVNode("br", null, null, -1),
            createTextVNode(" Additional features might require ", -1),
            createElementVNode("a", {
              href: "https://scalar.com/products/docs/getting-started",
              target: "_blank"
            }, "Scalar Pro", -1),
            createTextVNode(". ", -1)
          ])]),
          _: 1
        })
      ], 64);
    };
  }
});
export {
  _sfc_main as default
};
